summaryrefslogtreecommitdiffstats
path: root/network/ctorrent
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-05-13 00:36:04 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:36:04 +0200
commit8ce61e6adc28033cedd8097eda4856f249739137 (patch)
treec524a829703a5608d06066381d962c2c0c3186fa /network/ctorrent
parent5c57bb1a71cf55006af9b147461770589cf11725 (diff)
downloadslackbuilds-8ce61e6adc28033cedd8097eda4856f249739137.tar.gz
slackbuilds-8ce61e6adc28033cedd8097eda4856f249739137.tar.xz
network/ctorrent: Updated for version dnh3.3.2
Diffstat (limited to 'network/ctorrent')
-rw-r--r--network/ctorrent/ctorrent.SlackBuild50
-rw-r--r--network/ctorrent/ctorrent.info10
2 files changed, 36 insertions, 24 deletions
diff --git a/network/ctorrent/ctorrent.SlackBuild b/network/ctorrent/ctorrent.SlackBuild
index f5c6305e39..d8854f728b 100644
--- a/network/ctorrent/ctorrent.SlackBuild
+++ b/network/ctorrent/ctorrent.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2007-2009 Eric Hameleers, Eindhoven, Netherlands
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -27,11 +27,11 @@ set -e
# Essential variables:
PRGNAM=ctorrent
-SRCVER=${SRCVER:-1.3.4-dnh3}
+VERSION=${VERSION:-3.3.2}
+PKGVERSION=dnh${VERSION}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
-VERSION=$(echo $SRCVER | tr '-' '.') # No '-' in the version number
TAG=${TAG:-_SBo} # the "_SBo" is required
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
@@ -42,42 +42,52 @@ DOCS="AUTHORS ChangeLog* COPYING NEWS README* UserGuide VERSION"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
# Prepare build environment:
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$SRCVER.tar.gz
-mv $PRGNAM-* $PRGNAM-$VERSION
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM-$PKGVERSION
+tar -xvf $CWD/$PRGNAM-$PKGVERSION.tar.gz
+cd $PRGNAM-$PKGVERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# Configure and build the sources:
+# Configure and build the sources: use "--with-ssl=no" so that ctorrent uses
+# it's own internal SHA-1 routines and does not have to depend on openssl.
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr \
- --localstatedir=/var \
- --sysconfdir=/etc \
- --program-prefix="" \
- --program-suffix="" \
- --build=$ARCH-slackware-linux
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --with-ssl=no \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
# Add documentation:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/usr/doc/$PRGNAM-$PKGVERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$PKGVERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKGVERSION/$PRGNAM.SlackBuild
# Strip binaries
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
# Add the slack-desc:
@@ -86,5 +96,5 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Assemble the package:
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ctorrent/ctorrent.info b/network/ctorrent/ctorrent.info
index 1f3ac132a0..1316d2013c 100644
--- a/network/ctorrent/ctorrent.info
+++ b/network/ctorrent/ctorrent.info
@@ -1,8 +1,10 @@
PRGNAM="ctorrent"
-VERSION="1.3.4.dnh3"
+VERSION="dnh3.3.2"
HOMEPAGE="http://www.rahul.net/dholmes/ctorrent/"
-DOWNLOAD="http://www.rahul.net/dholmes/ctorrent/ctorrent-1.3.4-dnh3.tar.gz"
-MD5SUM="ebed47837b071ca35b78bc26f2229c03"
+DOWNLOAD="http://downloads.sourceforge.net/dtorrent/3.3.2/ctorrent-dnh3.3.2.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="59b23dd05ff70791cd6449effa7fc3b6"
+MD5SUM_x86_64=""
MAINTAINER="Eric Hameleers"
EMAIL="alien@slackware.com"
-APPROVED="rworkman"
+APPROVED="michiel"